package com.lightinit.hsdataplatformresdir.service.admin;

import com.lightinit.hsdataplatformresdir.model.admin.*;

import java.util.List;


public interface IAccountManageService {

    List<AccountManageBalanceVOModel> queryBalanceList(AccountManageBalanceDtoModel inputModel);

    long queryBalanceCount(AccountManageBalanceDtoModel inputModel);

    List<AccountManageRechargeVOModel> queryRechargeList(AccountManageRechargeDtoModel inputModel);

    long queryRechargeCount(AccountManageRechargeDtoModel inputModel);

    Long querySumTransAmount(AccountManageRechargeDtoModel inputModel);

    List<AccountManageTransactionVOModel> queryTransactionList(AccountManageRechargeDtoModel inputModel);

    long queryTransactionCount(AccountManageRechargeDtoModel inputModel);
}
